VkDescriptorUpdateTemplateCreateInfo Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkDescriptorUpdateTemplateCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
void * | pNext
VkDescriptorUpdateTemplateCreateFlags | flags
uint32_t | descriptorUpdateEntryCount
const VkDescriptorUpdateTemplateEntry * | pDescriptorUpdateEntries
VkDescriptorUpdateTemplateType | templateType
VkDescriptorSetLayout | descriptorSetLayout
VkPipelineBindPoint | pipelineBindPoint
VkPipelineLayout | pipelineLayout
uint32_t | set

## Detailed Description

Definition at line 4356 of file vulkan_core.h.

## Field Documentation

## descriptorSetLayout

VkDescriptorSetLayout VkDescriptorUpdateTemplateCreateInfo::descriptorSetLayout

Definition at line 4363 of file vulkan_core.h.

## descriptorUpdateEntryCount

uint32_t VkDescriptorUpdateTemplateCreateInfo::descriptorUpdateEntryCount

Definition at line 4360 of file vulkan_core.h.

## flags

VkDescriptorUpdateTemplateCreateFlags VkDescriptorUpdateTemplateCreateInfo::flags

Definition at line 4359 of file vulkan_core.h.

## pDescriptorUpdateEntries

const VkDescriptorUpdateTemplateEntry* VkDescriptorUpdateTemplateCreateInfo::pDescriptorUpdateEntries

Definition at line 4361 of file vulkan_core.h.

## pipelineBindPoint

VkPipelineBindPoint VkDescriptorUpdateTemplateCreateInfo::pipelineBindPoint

Definition at line 4364 of file vulkan_core.h.

## pipelineLayout

VkPipelineLayout VkDescriptorUpdateTemplateCreateInfo::pipelineLayout

Definition at line 4365 of file vulkan_core.h.

## pNext

void* VkDescriptorUpdateTemplateCreateInfo::pNext

Definition at line 4358 of file vulkan_core.h.

## set

uint32_t VkDescriptorUpdateTemplateCreateInfo::set

Definition at line 4366 of file vulkan_core.h.

## sType

VkStructureType VkDescriptorUpdateTemplateCreateInfo::sType

Definition at line 4357 of file vulkan_core.h.

## templateType

VkDescriptorUpdateTemplateType VkDescriptorUpdateTemplateCreateInfo::templateType

Definition at line 4362 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h